# PgpKeyId

open class PgpKeyId : Comparable<T>

A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

## Constructors

PgpKeyId
Link copied to clipboard
constructor(keyId: Long)
constructor(keyId: PGPPublicKey)
constructor(signature: PGPSignature)
constructor(keyId: String)

## Properties

asHex
Link copied to clipboard
val asHex: String
asLong
Link copied to clipboard
val asLong: Long

## Functions

compareTo
Link copied to clipboard
open fun compareTo(other: PgpKeyId): Int
equals
Link copied to clipboard
open fun equals(other: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toHex
Link copied to clipboard
open fun toHex(keyId: Long): String
toLong
Link copied to clipboard
open fun toLong(keyId: String): Long
toString
Link copied to clipboard
open fun toString(): String